package kz.arta.synergy.workflow.mobile.android.comments.models;

import kz.arta.synergy.workflow.mobile.android.common.models.User;

/**
 * Created by neox on 03.05.14.
 * Плашка комментария (все комментарии)
 */
public class CommentItem {

    /**
     * UUID комментария
     */
    private String commentID;

    /**
     * Текст комментария
     */
    private String comment;

    /**
     * Дата создания
     */
    private String created;

    /**
     * Дата создания в читаемом виде
     */
    private String created_label;

    /**
     * Есть ли право на редактирование комментария
     */
    private String is_editable;

    /**
     * Есть ли право на уделине комментария
     */
    private String is_deletable;

    /**
     * Иконка комментария
     */
    private String comment_icon_type;

    /**
     * Автор
     */
    private User author;

    /**
     * Тип комментария
     */
    private String type;

    /**
     * UUID работы, к которой принадлежит комментарий
     */
    private String actionID;

    public String getActionID() {
        return actionID;
    }

    public void setActionID(String actionID) {
        this.actionID = actionID;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public User getAuthor() {
        return author;
    }

    public void setAuthor(User author) {
        this.author = author;
    }

    public String getCommentID() {
        return commentID;
    }

    public void setCommentID(String commentID) {
        this.commentID = commentID;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getCreated_label() {
        return created_label;
    }

    public void setCreated_label(String created_label) {
        this.created_label = created_label;
    }

    public String getIs_editable() {
        return is_editable;
    }

    public void setIs_editable(String is_editable) {
        this.is_editable = is_editable;
    }

    public String getIs_deletable() {
        return is_deletable;
    }

    public void setIs_deletable(String is_deletable) {
        this.is_deletable = is_deletable;
    }

    public String getComment_icon_type() {
        return comment_icon_type;
    }

    public void setComment_icon_type(String comment_icon_type) {
        this.comment_icon_type = comment_icon_type;
    }
}
